# Defined in CVS makefile.
%define name mailcap
%define version 2.0.4
%define release 2mdk

Summary: Associates helper applications with particular file types.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: public domain
Group: System/Configuration/Networking 
# get the source from our cvs repository (see
# http://www.linuxmandrake.com/en/cvs.php3)
Source0: %{name}-%{version}.tar.bz2
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-buildroot

%description
The mailcap file is used by the metamail program.  Metamail reads the
mailcap file to determine how it should display non-text or multimedia
material.  Basically, mailcap associates a particular type of file
with a particular program that a mail agent or other program can call
in order to handle the file.

Mailcap should be installed to allow certain programs to be able to
handle non-text files.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make install RPM_BUILD_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog
%config /etc/mailcap
%config /etc/mailcap.vga
%config /etc/mime.types
/usr/man/man4/*

%changelog
* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.4-2mdk
- spechelper fix
- group fix

* Sat Feb  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.4-1mdk
- mime.types: RPM are real rpm applications.
- mailcap: Make xv as default viewver.
- Makefile: Make the package cvs mandrake compliant.

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.0.3.
- cleaning our patchs.

* Tue Sep 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch for pdf from Harald Schreiber
<Harald.Schreiber@post.rwth-aachen.de>.

* Thu May 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix a mimes.type bug with apache.

* Mon Apr 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adaptations.
- bzip2 manpages.
- add de translation from bero.

* Mon Mar 29 1999 Bill Nottingham <notting@redhat.com>
- comment out play

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- updated mime type for images from xv to ee
- cleaned up for our new version of the package which is in CVS

* Sat Mar 13 1999 Matt Wilson <msw@redhat.com>
- updated mime.types

* Fri Feb 12 1999 Bill Nottingham <notting@redhat.com>
- comment out backticked %variables to work around security problems

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- glibc version 2.1

* Mon Sep 21 1998 Bill Nottingham <notting@redhat.com>
- we don't ship tracker, use mikmod instead

* Wed Jul 29 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- added /etc/mime.types from mutt to this package to make it universal

* Tue Sep 09 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
